package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * 盲票包用户端销售状态
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum TicketPkgSaleStatusEnum implements IEnum<Integer> {

  WAIT_SALE(1, "待售"),
  ON_SALE(2, "销售中"),
  SALE_OUT(3, "已售完");

  private final Integer value;
  private final String desc;

  TicketPkgSaleStatusEnum(final Integer value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
